# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_ExtStringList Class Reference

`#include <PDataStd_ExtStringList.hxx>`

Inheritance diagram for PDataStd_ExtStringList:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_ExtStringList ()
Standard_EXPORT void | Init (const Standard_Integer lower, const Standard_Integer upper)
Standard_EXPORT void | SetValue (const Standard_Integer index, const Handle(PCollection_HExtendedString)&value)
Standard_EXPORT Handle_PCollection_HExtendedString | Value (const Standard_Integer index) const
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
| PDataStd_ExtStringList (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfExtendedString) _CSFDB_GetPDataStd_ExtStringListmyValue() const
void | _CSFDB_SetPDataStd_ExtStringListmyValue (const Handle(PColStd_HArray1OfExtendedString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_HArray1OfExtendedString | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_ExtStringList::PDataStd_ExtStringList | ( |  | ) |

PDataStd_ExtStringList::PDataStd_ExtStringList | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_ExtStringList::_CSFDB_SetPDataStd_ExtStringListmyValue | ( | const Handle(PColStd_HArray1OfExtendedString)& | p | ) | `[inline]`

Standard_EXPORT const PDataStd_ExtStringList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_ExtStringList::Handle | ( | PColStd_HArray1OfExtendedString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_ExtStringList::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |

Standard_EXPORT Standard_Integer PDataStd_ExtStringList::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_ExtStringList::SetValue | ( | const Standard_Integer | index,
|  | const Handle(PCollection_HExtendedString)& | value
| ) |

Standard_EXPORT Standard_Integer PDataStd_ExtStringList::Upper | ( |  | ) | const

Standard_EXPORT Handle_PCollection_HExtendedString PDataStd_ExtStringList::Value | ( | const Standard_Integer | index | ) | const

## Field Documentation

Handle_PColStd_HArray1OfExtendedString PDataStd_ExtStringList::myValue `[private]`

The documentation for this class was generated from the following file:

- PDataStd_ExtStringList.hxx